﻿@model UnitOfWorkVoorbeeld.BL.Domain.Order 

<h1 class="display-4">Order assigned to Courier</h1>
<div class="card">
    <div class="card-header">
        <h2>Order details</h2>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-6">
                <p>Order id: @Model.OrderId</p>
                <p>Assigned Courier: @Model.Courier.CourierId (@Model.Courier.Email @(Model.Courier.Available ? "available" : "not available"))</p>
                <p>Order Events</p>
                <ul>
                    @foreach (var orderEvent in Model.OrderEvents)
                    {
                        <li>
                            <span>@orderEvent.Time</span> - <span>@orderEvent.Status</span>
                        </li>
                    }
                </ul>
            </div>
        </div>
    </div>
</div>